STRUCT DRM_FB_HELPER(9)

NAME
struct_drm_fb_helper_funcs - driver callbacks for the fbdev emulation library

SYNOPSIS

struct drm_fb_helper_funcs {
  void (* gamma_set) (struct drm_crtc *crtc, u16 red, u16 green,u16 blue, int regno);
  void (* gamma_get) (struct drm_crtc *crtc, u16 *red, u16 *green,u16 *blue, int regno);
  int (* fb_probe) (struct drm_fb_helper *helper,struct drm_fb_helper_surface_size *sizes);
  bool (* initial_config) (struct drm_fb_helper *fb_helper,struct drm_fb_helper_crtc **crtcs,struct drm_display_mode **modes,struct drm_fb_offset *offsets,bool *enabled, int width, int height);
};

MEMBERS

gamma_set
    Set the given gamma lut register on the given crtc.

gamma_get
    Read the given gamma lut register on the given crtc, used to save the current lut when force-restoring the fbdev for e.g. kdbg.

fb_probe
    Driver callback to allocate and initialize the fbdev info structure. Furthermore it also needs to allocate the drm framebuffer used to back the fbdev.

initial_config
    Setup an initial fbdev display configuration

DESCRIPTION

Driver callbacks used by the fbdev emulation helper library.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT